> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a price list

> Update the ´code´ value of a price list.



## OpenAPI

````yaml repricing patch /v1/pricelist/{id}
openapi: 3.0.0
info:
  description: Endpoint for supporting repricing
  version: '1'
  title: Repricing API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/
    description: Live environment
security: []
tags:
  - name: Create repricing agreements
    description: Endpoints for creating repricing agreements
  - name: Update repricing agreements
    description: Endpoints for updating repricing agreements
  - name: Get repricing agreements
    description: Endpoints for fetching repricing agreements
  - name: Create price lists
    description: Endpoints for creating price lists
  - name: Update price lists
    description: Endpoints for updating price lists
  - name: Get price lists
    description: Endpoints for fetching price lists
paths:
  /v1/pricelist/{id}:
    patch:
      tags:
        - Update price lists
      summary: Update a price list
      description: Update the ´code´ value of a price list.
      operationId: updatePriceListUsingPATCH
      parameters:
        - name: id
          in: path
          description: The id of the price list you want to update
          required: true
          schema:
            type: string
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/pricelistPatchV1ResourceBody'
      responses:
        '200':
          description: Successfully updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resourceResponse'
        '400':
          $ref: '#/components/responses/error400'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  requestBodies:
    pricelistPatchV1ResourceBody:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/patchPricelistV1ResourceBody'
      description: Request information needed to update the price list
  schemas:
    resourceResponse:
      type: object
      properties:
        description:
          type: string
          description: Short description of the result of the action
        id:
          type: string
          description: Will contain the ID of the resource that has been created or updated
      title: resourceResponse
    patchPricelistV1ResourceBody:
      allOf:
        - $ref: '#/components/schemas/basePriceList'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining reason of error
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    basePriceList:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          maxLength: 64
          description: A code that uniquely identifies this price list
  responses:
    error400:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````